Central Pricing Facade

Calculates prices for the given data.

Business errors are documented at https://wiki.migros.net/x/Gb6cGw.

post
https://api.migros.ch/migros/sales/central-pricing/v1/{store}/calculate

Path Parameters

storestringrequired

Store which the calculation is based on

Example:0034833

Body

application/json

Calculate

Request body for calculating prices.

* Additional properties are NOT allowed.
couponsarray[string]

List of coupon GTINs to take into account for the price calculation.

>= 4 characters

Example:7613404420317

customerOne Of

Information about the customer and their loyalty.

Example:{"cumulus_number":"2099123123123","loyalty":["cumulus"]}

Customerobject

Information about the customer.

* Additional properties are NOT allowed.
Show Child Parameters
datestring | null(date-time)

Date and time used for calculating the prices.

This defaults to now but can be used to calculate prices based historic data.

productsarray[object]required

Product to calculate prices for.

>= 1 items

Example:[{"product_id":"120299100000","quantity":3},{"product_id":"101924500000","unit":"KG","weight":3.5}]

* Additional properties are NOT allowed.
Show Child Parameters
ucbsarray[string]

List of user coupon IDs (UCB) to take into account for the price calculation.

>= 4 characters

Example:456456456

Response

application/json

Successful calculation result

Calculation

Response with calculated prices.

* Additional properties are NOT allowed.
amountsOne Of
required

Information about the different total amounts.

Amountsobject

Information about the different total amounts.

* Additional properties are NOT allowed.
Show Child Parameters
couponsarray[string]unique-items

List of coupons attached to the calculation.

>= 1 items

productsarray[object]required

Information about calculated prices for a single item.

>= 1 items

* Additional properties are NOT allowed.
Show Child Parameters
ucbsarray[object]

Information about calculated prices for a single item.

>= 1 items

* Additional properties are NOT allowed.
Show Child Parameters
vatarray[object]required

Information about the VAT.

* Additional properties are NOT allowed.
Show Child Parameters
post/migros/sales/central-pricing/v1/{store}/calculate

Body

{ "products": [ { "product_id": "120299100000", "quantity": 3 }, { "product_id": "101924500000", "unit": "KG", "weight": 3.5 } ] }
 
application/json

Calculates prices for the given data and creates a transaction for the calculation.

Business errors are documented at https://wiki.migros.net/x/Gb6cGw.

post
https://api.migros.ch/migros/sales/central-pricing/v1/{store}/transactions

Path Parameters

storestringrequired

Store which the calculation is based on

Example:0023200

Body

application/json

Calculate

Request body for calculating prices.

* Additional properties are NOT allowed.
couponsarray[string]

List of coupon GTINs to take into account for the price calculation.

>= 4 characters

Example:7613404420317

customerOne Of

Information about the customer and their loyalty.

Example:{"cumulus_number":"2099123123123","loyalty":["cumulus"]}

Customerobject

Information about the customer.

* Additional properties are NOT allowed.
Show Child Parameters
datestring | null(date-time)

Date and time used for calculating the prices.

This defaults to now but can be used to calculate prices based historic data.

productsarray[object]required

Product to calculate prices for.

>= 1 items

Example:[{"product_id":"120299100000","quantity":3},{"product_id":"101924500000","unit":"KG","weight":3.5}]

* Additional properties are NOT allowed.
Show Child Parameters
ucbsarray[string]

List of user coupon IDs (UCB) to take into account for the price calculation.

>= 4 characters

Example:456456456

Response

application/json

Successful calculation result

Transaction

Response for finished transaction.

* Additional properties are NOT allowed.
status_codestring | null

Status code if there was an error.

transaction_idstringrequired

ID of the transaction used for finishing it.

Example:5oj548c9afa59304c0eb0b7f18b77c9c

post/migros/sales/central-pricing/v1/{store}/transactions

Body

{ "products": [ { "product_id": "120299100000", "quantity": 3 }, { "product_id": "101924500000", "unit": "KG", "weight": 3.5 } ] }
 
application/json

Finishes a transaction.

Business errors are documented at https://wiki.migros.net/x/Gb6cGw.

post
https://api.migros.ch/migros/sales/central-pricing/v1/{store}/transactions/{transaction}/finish

Path Parameters

storestringrequired

Store which the calculation is based on

Example:0023200

transactionstringrequired

Transaction ID to finish

Example:5oj548c9afa59304c0eb0b7f18b77c9c

Body

application/json

Finish

Request body for finsihing a transaction.

* Additional properties are NOT allowed.
amountnumber(float)required

Total amount of the payment.

Example:100.8

ep2One Of

Details of EP2 payment.

EP2object

Information about EP2 payment.

* Additional properties are NOT allowed.
Show Child Parameters
gift_cardsarray[object]

Details of a payment with a gift card.

* Additional properties are NOT allowed.
Show Child Parameters
gkkOne Of

Details of Gkk payment (Grosskundenkarte).

Gkkobject

Information about Gkk payment.

* Additional properties are NOT allowed.
Show Child Parameters
loyalty_system_actionsarray[object]

Details of an action of the Loyalty System.

* Additional properties are NOT allowed.
Show Child Parameters

Response

application/json

Successful calculation result

Transaction

Response for finished transaction.

* Additional properties are NOT allowed.
status_codestring | null

Status code if there was an error.

transaction_idstringrequired

ID of the transaction used for finishing it.

Example:5oj548c9afa59304c0eb0b7f18b77c9c

post/migros/sales/central-pricing/v1/{store}/transactions/{transaction}/finish

Body

{ "amount": 100.8 }
 
application/json

Amounts

object

Information about the different total amounts.

* Additional properties are NOT allowed.
roundingnumber(float)

Rounding difference.

Example:0.1

to_paynumber(float)required

Total price to pay.

> 0

Example:15.35

Example

AppliedPromotion

object

Information about an applied promotion to a single item.

* Additional properties are NOT allowed.
couponstring

Coupon identifier for the promotion.

<= 40 characters

Example:7610300001381

cumulus_pointsnumber(float)

Amount of awarded Cumulus Points for a single item.

> 0

Example:2

price_reduction_per_unitnumber(float)

Amount of the price reduction per unit for a single item.

> 0

Example:1.1

Example